Subject: Re: [PATCH] trailer: spread usage of "trailer_block" language

From: Junio C Hamano <[email-masked]>
Date: Tue, 12 Nov 2024 11:16:10 +0900

"Linus Arver via GitGitGadget" <[email-masked]> writes:

> From: Linus Arver <[email-masked]>
>
> Deprecate the "trailer_info" struct name and replace it with
> "trailer_block". This is more readable, for two reasons:
>
>   1. "trailer_info" on the surface sounds like it's about a single
>      trailer when in reality it is a collection of one or more trailers,
>      and
>
>   2. the "*_block" suffix is more informative than "*_info", because it
>      describes a block (or region) of contiguous text which has trailers
>      in it, which has been parsed into the trailer_block structure.
>
> Rename the
>
>     size_t trailer_block_start, trailer_block_end;
>
> members of trailer_info to just "start" and "end". Rename the "info"
> pointer to "trailer_block" because it is more descriptive. Update
> comments accordingly.

All makes sense.  Often "_info" suffix has very low information
density, as everything is "info" in a sense ;-)

This was a more-or-less mechanical and straight-forward renaming of
a handful of variables and structure fields.  It is a shame that
nobody bothered to review these changes (or say "this does not make
anything worse, but is it worth it?" to object to it, for that
matter) for almost a month.

Will merge to 'next' (unless there is a belated "it may not break,
but it is not a good idea because ...", that is).

Thanks.